Intrusion Prevention

Acoustica.Beatcraft.Bcproj.Buffer.Overflow

Description

This indicates an attack attempt against a buffer-overflow vulnerability in Acoustica Beatcraft.
The vulnerability is caused by an error when the vulnerable software handles an overly long string in .BCPROJ files. It allows a remote attacker to execute arbitrary code.

Affected Products

Acoustica Beatcraft 1.02 Build 19.

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Do not open untrusted Beatcraft Project files.

CVE References

CVE-2008-4087